Download it now!
Bug 128667 - Crash when pasting text with line wrap
Summary: Crash when pasting text with line wrap
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-11-08 10:23 UTC by Heiko Tietze
Modified: 2019-11-11 12:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt Windows (windbg) (35.20 KB, text/plain)
2019-11-08 10:59 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-11-08 10:23:11 UTC
Enter some content with more than one line in a text editor like 1/n2, copy and paste to Calc.

Application Error


Fatal exception: Signal 6
Stack:
/home/ht/Sources/libreoffice/instdir/program/libuno_sal.so.3(+0x7fb82)[0x7f4fca150b...

Self-build master 
Version: 6.4.0.0.alpha1+
Build ID: f7c751439d4616f43509301d71af92b13b576a84
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: de-DE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-11-08 10:42:42 UTC
I don't get a crash but the Text Import dialog isn't prompted either.

Steps:
1. Open any text editor ( gedit, xed... )
2. Write some lines of text
3. Copy them
4. Open Calc.
5. Paste

-> Nothing happens. Text import dialog should be displayed

Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1e97ca02773e2ba968606eed61d25d88f0d7e417

author	Caolán McNamara <caolanm@redhat.com>	2019-10-14 11:05:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-10-17 13:38:03 +0200
commit	1e97ca02773e2ba968606eed61d25d88f0d7e417 (patch)
tree	fea05eb4d8162b8db030d6a970dfb12f8fadd37e
parent	dae96d4e629c5eccaacdc763cd390d341c16175d (diff)
weld ScImportAsciiDlg

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2019-11-08 10:59:53 UTC
Created attachment 155630 [details]
bt Windows (windbg)

On Win10 with master sources updated today + enable-dbgutil, I got an assert.
Comment 3 Commit Notification 2019-11-08 14:52:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6c8a7fcb01beeedaa72b4a4c31d1b849000bad39

Resolves: tdf#128667 crash in csv import from paste

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-11-11 12:34:30 UTC
Verified in

Version: 6.4.0.0.alpha1+
Build ID: fea5c10e222b10d83e0081dc1d1b2e678689d250
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!